#ifdef VHDL

/*
 * $Id: Vhdl_set_type.cpp 113 2009-04-14 18:39:12Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Vhdl.h"

#include <sstream>

namespace morpheo              {
namespace behavioural          {
  
#undef  FUNCTION
#define FUNCTION "Vhdl::set_type"
  void Vhdl::set_type (std::string      name     ,
		       std::string      type     )
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");

    test_architecture();

    set_list(_architecture[_name_architecture]._list_type, "type "+ name + "\tis " + type);

    log_printf(FUNC,Behavioural,FUNCTION,"End");
  };
  
}; // end namespace behavioural          
}; // end namespace morpheo              

#endif
